[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.InsertObject

Inserts a new tree node with the specified text and data just before the specified node.

## Declaration

Source position: comctrls.pp line 3279

`public function TTreeNodes.InsertObject(`
`NextNode: TTreeNode;`
`const S: string;`
`Data: Pointer`
`):TTreeNode;`

## Arguments

`NextNode` |  | Node which becomes the next sibling for the inserted node.
`S` |  | Text for the tree node created in the method.
`Data` |  | Pointer to the data for the tree node created in the method.

## Function result

TTreeNode instance created and stored in the method.

## See also

TTreeNodes.InternalAddObject |  | Creates or updates a tree node with the specified text and a pointer to data.